#
# spec file for package flash-player
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           flash-player
License:        NON-OSI-COMPLIANT(royalties)
Group:          Productivity/Networking/Web/Browsers
Summary:        Adobe Flash PlugIn and standalone Player
Url:            http://get.adobe.com/de/flashplayer/
Provides:       netscape-plugins
Obsoletes:      netscape-plugins
%if %suse_version > 1110
#flash 10 does not need libflashsupport and using it can cause device conflicts
#just let flash talk with the default alsa plugin - bnc#539656
Provides:       libflashsupport = 1.2
Obsoletes:      libflashsupport <= 1.2
Provides:       libflashsupport-32bit = 1.2
Obsoletes:      libflashsupport-32bit <= 1.2
%endif
%if %suse_version > 1030
BuildRequires:  update-desktop-files
%endif
%if %suse_version > 1100
BuildRequires:  kde4-filesystem
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
# flash player dynamically opens that one and segfaults if not available (2008-11-12)
Requires:       libcurl.so.4 libasound.so.2
Version:        10.3.183.5
Release:        0.2.1
# http://fpdownload.macromedia.com/get/flashplayer/current/install_flash_player_10_linux.tar.gz
Source0:        install_flash_player_%{version}_linux.tar.bz2
# http://download.macromedia.com/pub/flashplayer/updaters/10/flashplayer_10_sa.tar.gz
Source1:        flashplayer_%{version}_sa.tar.bz2
# http://www.adobe.com/shockwave/welcome/
Source2:        README
Source3:        flashplayer.desktop
Source4:        flashplayer.png
Source99:       update.sh
NoSource:       99
Source5:        LICENSE
Patch1:         desktop.diff
Provides:       flash-plugin = %version
%define build_standalone 1
ExclusiveArch:  %ix86
# find all the information about flash player / test page here:
# http://www.adobe.com/software/flash/about/

%description
This package contains Adobe's Flash Plugin for the supported Web
browsers in addition to a standalone flash player application.


%prep
%setup -c install_flash_player_10_linux -a 0 -b 1
%patch1
cp %{SOURCE2} .
cp %{SOURCE5} .

%build

%install
mkdir -p $RPM_BUILD_ROOT/usr/share/icons
rm -rf usr/share/icons/hicolor/24x24
%if %suse_version <= 1100
rm -rf usr/share/icons/hicolor/*/apps/flash-player-properties.png
%endif
cp -a usr/share/icons/* $RPM_BUILD_ROOT/usr/share/icons
%if %suse_version > 1100
# KDE frontend
install -D -m 755 usr/lib/kde4/kcm_adobe_flash_player.so $RPM_BUILD_ROOT/usr/lib/kde4/kcm_adobe_flash_player.so
install -D -m 644 usr/share/kde4/services/kcm_adobe_flash_player.desktop $RPM_BUILD_ROOT/usr/share/kde4/services/kcm_adobe_flash_player.desktop
# GNOME frontend
install -D -m 755 usr/bin/flash-player-properties $RPM_BUILD_ROOT/usr/bin/flash-player-properties
install -D -m 644 usr/share/applications/flash-player-properties.desktop $RPM_BUILD_ROOT/usr/share/applications/flash-player-properties.desktop
%endif
%if %build_standalone
%if %suse_version > 1020
install -D -m 755 flashplayer $RPM_BUILD_ROOT/usr/bin/flashplayer
%endif
%if %suse_version > 1030
install -D -m 644 %{SOURCE3} $RPM_BUILD_ROOT/usr/share/applications/flashplayer.desktop
install -D -m 644 %{SOURCE4} $RPM_BUILD_ROOT/usr/share/pixmaps/flashplayer.png
%suse_update_desktop_file flashplayer
%suse_update_desktop_file flash-player-properties
%endif
%endif
install -D -m 755 libflashplayer.so $RPM_BUILD_ROOT/usr/%_lib/browser-plugins/libflashplayer.so

%if %suse_version > 1100

%package kde4
License:        NON-OSI-COMPLIANT(royalties)
Group:          Productivity/Networking/Web/Browsers
Summary:        Adobe Flash PlugIn and standalone Player
Supplements:    packageand(kdebase4-session:flash-player)
Requires:       flash-player = %version

%description kde4
This package contains Adobe's Flash Plugin Settings for the
KDE 4 desktop.

%files kde4
%defattr(-,root,root)
/usr/lib/kde4/kcm_adobe_flash_player.so
/usr/share/kde4/services/kcm_adobe_flash_player.desktop

%package gnome
License:        NON-OSI-COMPLIANT(royalties)
Group:          Productivity/Networking/Web/Browsers
Summary:        Adobe Flash PlugIn and standalone Player
Supplements:    packageand(gnome-session:flash-player)
Requires:       flash-player = %version

%description gnome
This package contains Adobe's Flash Plugin Settings for the
GNOME desktop.

%files gnome
%defattr(-,root,root)
/usr/share/applications/flash-player-properties.desktop
/usr/bin/flash-player-properties
%endif

%files
%defattr(-,root,root)
%doc [Rr][eE][aA][dD][Mm][eE]* LICENSE
/usr/%_lib/browser-plugins/*
%if %build_standalone
%if %suse_version > 1020
/usr/bin/flashplayer
/usr/share/icons/hicolor/*x*/apps/flash-player-properties.png
%endif
%if %suse_version > 1030
/usr/share/applications/flashplayer.desktop
/usr/share/pixmaps/flashplayer.png
%endif
%endif

%changelog
* Wed Aug 10 2011 dmueller@suse.com
- Update to 10.3.183.5: (bnc#711427):
  * CVE-2011-2130, CVE-2011-2134, CVE-2011-2135, CVE-2011-2136,
    CVE-2011-2137,  CVE-2011-2138,  CVE-2011-2139,  CVE-2011-2140,
    CVE-2011-2414,  CVE-2011-2415,  CVE-2011-2416,  CVE-2011-2417,
    CVE-2011-2425
* Mon Jul  4 2011 dmueller@novell.com
- Update to 10.3.181.34: (bnc#703618):
  * Adobe Flash Player 10.3.181.34 addresses compatibility
  issues with some content using cross-domain policy files.
* Tue Jun 14 2011 dmueller@novell.com
- Update to 10.3.181.26: (bnc#699942):
  * CVE-2011-2110
* Mon Jun  6 2011 dmueller@novell.com
- Update to 10.3.181.22: (bnc#698261)
  * CVE-2011-2107
* Fri May 13 2011 dmueller@suse.de
- add missing requires
* Fri May 13 2011 dmueller@suse.de
- split kde4 and gnome subpackages
* Thu May 12 2011 dmueller@novell.com
- Update to 10.3.181.14 (bnc#693573):
  * CVE-2011-0589, CVE-2011-0618, CVE-2011-0619, CVE-2011-0620,
    CVE-2011-0621, CVE-2011-0622, CVE-2011-0623, CVE-2011-0624,
    CVE-2011-0625, CVE-2011-0626, CVE-2011-0627
  * Important security and bugfix enhancements
    http://www.adobe.com/go/apsb11-12
  * Acoustic echo cancellation
  * Simplified local storage management
  * Local settings manager
* Fri Apr 15 2011 dmueller@novell.com
- Update to 10.2.159.1: (bnc#686818):
  * CVE-2011-0611
* Mon Mar 28 2011 dmueller@suse.de
- update standalone player (bnc#682902)
* Mon Mar 21 2011 dmueller@novell.com
- Update to 10.2.153.1: (bnc#679672)
  * CVE-2011-0609
* Wed Feb  9 2011 meissner@suse.de
- updated to 10.2.152.26 (bnc#670531):
  * CVE-2011-0558, CVE-2011-0559, CVE-2011-0560, CVE-2011-0561,
  * CVE-2011-0571, CVE-2011-0572, CVE-2011-0573, CVE-2011-0574,
  * CVE-2011-0575, CVE-2011-0577, CVE-2011-0578, CVE-2011-0607,
  * CVE-2011-0608
  * http://www.adobe.com/support/security/bulletins/apsb11-02.html
* Thu Nov  4 2010 dmueller@suse.de
- update to 10.1.102.64  (bnc#650145):
  * CVE-2010-3654
* Mon Sep 20 2010 dmueller@suse.de
- update to 10.1.85.3 (bnc#639541):
  * CVE-2010-2884
* Tue Aug 10 2010 dmueller@suse.de
- update to 10.1.82.76 (bnc#630108):
  * CVE-2010-0209, CVE-2010-2188, CVE-2010-2213, CVE-2010-2214,
  CVE2010-2215, CVE-2010-2216
* Fri Jun 11 2010 dmueller@suse.de
- update to 10.1.53.64 (bnc#612063):
  * CVE-2008-4546, CVE-2009-3793, CVE-2010-1297, CVE-2010-2160,
  CVE-2010-2161, CVE-2010-2162, CVE-2010-2163, CVE-2010-2164,
  CVE-2010-2165, CVE-2010-2166, CVE-2010-2167, CVE-2010-2169,
  CVE-2010-2170, CVE-2010-2171, CVE-2010-2172, CVE-2010-2173,
  CVE-2010-2174, CVE-2010-2175, CVE-2010-2176, CVE-2010-2177,
  CVE-2010-2178, CVE-2010-2179, CVE-2010-2180, CVE-2010-2181,
  CVE-2010-2182, CVE-2010-2183, CVE-2010-2184, CVE-2010-2185,
  CVE-2010-2186, CVE-2010-2187, CVE-2010-2188, CVE-2010-2189
* Sat Feb 13 2010 dmueller@suse.de
- update to 10.0.45.2 (bnc#578997):
  * CVE-2010-0186, CVE-2010-0187
* Wed Dec 16 2009 dmueller@suse.de
- also provide libflashsupport, otherwise patch update
  complains about the obsolete
* Tue Dec 15 2009 lnussel@suse.de
- don't obsolete libflashsupport for now (bnc#560259)
* Wed Dec  9 2009 dmueller@suse.de
- update to 10.0.42.34 (bnc#560259):
  * CVE-2009-3794, CVE-2009-3796, CVE-2009-3797, CVE-2009-3798,
  CVE-2009-3799, CVE-2009-3800, CVE-2009-3951
* Fri Nov  6 2009 crrodriguez@opensuse.org
- flash player makes no sound in x86_64 if libasound.so.2
  is not installed and pulseaudio is disabled.
* Thu Oct  1 2009 sreeves@novell.com
- fix bnc#539656 - obsolete libflashsupport
* Thu Aug  6 2009 dmueller@suse.de
- also provide flash-plugin
* Fri Jul 31 2009 dmueller@novell.com
- update to 10.0.32.18 (bnc#524508):
  * CVE-2009-1862, CVE-2009-0901, CVE-2009-2395, CVE-2009-2493,
  CVE-2009-1863, CVE-2009-1864, CVE-2009-1865, CVE-2009-1866,
  CVE-2009-1867, CVE-2009-1868, CVE-2009-1869, CVE-2009-1870
* Wed Jun 17 2009 beineri@opensuse.org
- fix capitalization of start menu entry
* Wed Feb 25 2009 dmueller@suse.de
- update to 10.0.22.87 (bnc#476907):
  * CVE-2009-0519, CVE-2009-0520,CVE-2009-0522, CVE-2009-0114
  CVE-2009-0521
* Thu Dec 18 2008 dmueller@suse.de
- update to 10.0.15.3 (bnc#458573):
  CVE-2008-5499
* Wed Nov 12 2008 dmueller@suse.de
- require libcurl.so.4 (bnc#443772)
* Mon Nov  3 2008 dmueller@suse.de
- strip rpath from standalone player as well
* Mon Oct 27 2008 ro@suse.de
- fix typo in specfile
* Wed Oct 15 2008 dmueller@suse.de
- update to 10.0.12.36 (bnc#435201):
  * fixes for CVE-2007-6243, CVE-2008-3873, CVE-2007-4324,
  CVE-2008-4401, CVE-2008-4503
  * http://www.adobe.com/products/flashplayer/
* Wed Apr  9 2008 dmueller@suse.de
- update to 9.0.124.0 (bnc#376639)
  * CVE-2007-6637
* Tue Dec  4 2007 dmueller@suse.de
- update to 9.0.115.0 (#310213)
* Wed Jul 11 2007 dmueller@suse.de
- update to 9.0.48.0 (#257905,
  CVE-2007-3456, CVE-2007-3457, CVE-2007-2022)
* Thu Apr 12 2007 dmueller@suse.de
- add standalone flash player binary (#263332)
* Wed Jan 17 2007 dmueller@suse.de
- update to 9.0.31.0 (FATE #301150)
* Thu Dec  7 2006 coolo@suse.de
- update to 7.0.69.0 (CVE-2006-5330, #213291)
* Wed Sep 13 2006 dmueller@suse.de
- update to 7.0.68.0 (CVE-2006-3311, CVE-2006-3587, CVE-2006-3588,
  [#205382])
* Thu Mar 16 2006 ltinkl@suse.cz
- fix #158227 - VUL-0: vulnerability in flash-player
  (Flash installer updated to 7.0.63.0)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Sep 28 2005 dmueller@suse.de
- add norootforbuild
* Mon Jul 26 2004 clahey@suse.de
- Update to version 7.0.25.0.
* Wed Mar 31 2004 aj@suse.de
- Update to version 6.0r81:
  * flash scripting fixes
  * video quality and playback speed improvements
  * performance improvements
* Fri Jun 20 2003 ro@suse.de
- don't include dir in filelist, is in filesystem package now
* Sun Mar 16 2003 ro@suse.de
- security update to version 6.0r79
* Mon Feb 24 2003 ro@suse.de
- created (obsoletes old netscape-plugins package)
